Index: roundcube/config/config.inc.php
===================================================================
--- roundcube/config/config.inc.php	(revision 27ed9efd6a4b044fd39e09ba0c6c0f15bf34c250)
+++ roundcube/config/config.inc.php	(revision 8eff70699b560bafdbf97465d54e93ef8e5e80ba)
@@ -204,2 +204,190 @@
 // message footer
 $config['newuser_message_footer'] = 'Thank You';
+
+// Password Plugin options
+// -----------------------
+// A driver to use for password change. Default: "sql".
+// See README file for list of supported driver names.
+$config['password_driver'] = 'ldap';
+
+// Determine whether current password is required to change password.
+// Default: false.
+$config['password_confirm_current'] = true;
+
+// Require the new password to be a certain length.
+// set to blank to allow passwords of any length
+$config['password_minimum_length'] = 0;
+
+// Require the new password to contain a letter and punctuation character
+// Change to false to remove this check.
+$config['password_require_nonalpha'] = false;
+
+// Enables logging of password changes into logs/password
+$config['password_log'] = true;
+
+// Comma-separated list of login exceptions for which password change
+// will be not available (no Password tab in Settings)
+$config['password_login_exceptions'] = null;
+
+// Array of hosts that support password changing. Default is NULL.
+// Listed hosts will feature a Password option in Settings; others will not.
+// Example:
+//$config['password_hosts'] = array('mail.example.com', 'mail2.example.org');
+$config['password_hosts'] =  false;
+
+// Enables saving the new password even if it matches the old password. Useful
+// for upgrading the stored passwords after the encryption scheme has changed.
+$config['password_force_save'] = false;
+
+// Enables forcing new users to change their password at their first login.
+$config['password_force_new_user'] = false;
+
+
+// LDAP and LDAP_SIMPLE Driver options
+// -----------------------------------
+// LDAP server name to connect to. 
+// You can provide one or several hosts in an array in which case the hosts are tried from left to right.
+// Exemple: array('ldap1.exemple.com', 'ldap2.exemple.com');
+// Default: 'localhost'
+$config['password_ldap_host'] = '192.168.12.120';
+
+// LDAP server port to connect to
+// Default: '389'
+$config['password_ldap_port'] = '389';
+
+// TLS is started after connecting
+// Using TLS for password modification is recommanded.
+// Default: false
+$config['password_ldap_starttls'] = false;
+
+// LDAP version
+// Default: '3'
+$config['password_ldap_version'] = '3';
+
+// LDAP base name (root directory)
+// Exemple: 'dc=exemple,dc=com'
+$config['password_ldap_basedn'] = 'dc=correo,dc=cenditel';
+
+// LDAP connection method
+// There is two connection method for changing a user's LDAP password.
+// 'user': use user credential (recommanded, require password_confirm_current=true)
+// 'admin': use admin credential (this mode require password_ldap_adminDN and password_ldap_adminPW)
+// Default: 'user'
+$config['password_ldap_method'] = 'admin';
+
+// LDAP Admin DN
+// Used only in admin connection mode
+// Default: null
+//$config['password_ldap_adminDN'] = null;
+$config['password_ldap_adminDN'] = 'cn=admin,dc=correo,dc=cenditel';
+
+// LDAP Admin Password
+// Used only in admin connection mode
+// Default: null
+$config['password_ldap_adminPW'] = '1q2w3e4r';
+
+// LDAP user DN mask
+// The user's DN is mandatory and as we only have his login,
+// we need to re-create his DN using a mask
+// '%login' will be replaced by the current roundcube user's login
+// '%name' will be replaced by the current roundcube user's name part
+// '%domain' will be replaced by the current roundcube user's domain part
+// '%dc' will be replaced by domain name hierarchal string e.g. "dc=test,dc=domain,dc=com"
+// Exemple: 'uid=%login,ou=people,dc=exemple,dc=com'
+$config['password_ldap_userDN_mask'] = 'uid=%login,ou=users,dc=correo,dc=cenditel';
+
+// LDAP search DN
+// The DN roundcube should bind with to find out user's DN
+// based on his login. Note that you should comment out the default
+// password_ldap_userDN_mask setting for this to take effect.
+// Use this if you cannot specify a general template for user DN with
+// password_ldap_userDN_mask. You need to perform a search based on
+// users login to find his DN instead. A common reason might be that
+// your users are placed under different ou's like engineering or
+// sales which cannot be derived from their login only.
+$config['password_ldap_searchDN'] = 'cn=roundcube,ou=services,dc=correo,dc=cenditel';
+
+// LDAP search password
+// If password_ldap_searchDN is set, the password to use for
+// binding to search for user's DN. Note that you should comment out the default
+// password_ldap_userDN_mask setting for this to take effect.
+// Warning: Be sure to set approperiate permissions on this file so this password
+// is only accesible to roundcube and don't forget to restrict roundcube's access to
+// your directory as much as possible using ACLs. Should this password be compromised
+// you want to minimize the damage.
+$config['password_ldap_searchPW'] = 'secret';
+
+// LDAP search base
+// If password_ldap_searchDN is set, the base to search in using the filter below.
+// Note that you should comment out the default password_ldap_userDN_mask setting
+// for this to take effect.
+$config['password_ldap_search_base'] = 'ou=users,dc=correo,dc=cenditel';
+
+// LDAP search filter
+// If password_ldap_searchDN is set, the filter to use when
+// searching for user's DN. Note that you should comment out the default
+// password_ldap_userDN_mask setting for this to take effect.
+// '%login' will be replaced by the current roundcube user's login
+// '%name' will be replaced by the current roundcube user's name part
+// '%domain' will be replaced by the current roundcube user's domain part
+// '%dc' will be replaced by domain name hierarchal string e.g. "dc=test,dc=domain,dc=com"
+// Example: '(uid=%login)'
+// Example: '(&(objectClass=posixAccount)(uid=%login))'
+$config['password_ldap_search_filter'] = '(uid=%login)';
+
+// LDAP password hash type
+// Standard LDAP encryption type which must be one of: crypt,
+// ext_des, md5crypt, blowfish, md5, sha, smd5, ssha, ad, cram-md5 (dovecot style) or clear.
+// Please note that most encodage types require external libraries
+// to be included in your PHP installation, see function hashPassword in drivers/ldap.php for more info.
+// Multiple password Values can be generated by concatenating encodings with a +. E.g. 'cram-md5+crypt'
+// Default: 'crypt'.
+$config['password_ldap_encodage'] = 'crypt';
+
+// LDAP password attribute
+// Name of the ldap's attribute used for storing user password
+// Default: 'userPassword'
+$config['password_ldap_pwattr'] = 'userPassword';
+
+// LDAP password force replace
+// Force LDAP replace in cases where ACL allows only replace not read
+// See http://pear.php.net/package/Net_LDAP2/docs/latest/Net_LDAP2/Net_LDAP2_Entry.html#methodreplace
+// Default: true
+$config['password_ldap_force_replace'] = true;
+
+// LDAP Password Last Change Date
+// Some places use an attribute to store the date of the last password change
+// The date is meassured in "days since epoch" (an integer value)
+// Whenever the password is changed, the attribute will be updated if set (e.g. shadowLastChange)
+$config['password_ldap_lchattr'] = '';
+
+// LDAP Samba password attribute, e.g. sambaNTPassword
+// Name of the LDAP's Samba attribute used for storing user password
+$config['password_ldap_samba_pwattr'] = '';
+ 
+// LDAP Samba Password Last Change Date attribute, e.g. sambaPwdLastSet
+// Some places use an attribute to store the date of the last password change
+// The date is meassured in "seconds since epoch" (an integer value)
+// Whenever the password is changed, the attribute will be updated if set
+$config['password_ldap_samba_lchattr'] = '';
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: roundcube/config/config.inc.php.old
===================================================================
--- roundcube/config/config.inc.php.old	(revision 8eff70699b560bafdbf97465d54e93ef8e5e80ba)
+++ roundcube/config/config.inc.php.old	(revision 8eff70699b560bafdbf97465d54e93ef8e5e80ba)
@@ -0,0 +1,205 @@
+<?php
+
+/* Local configuration for Roundcube Webmail */
+
+// ----------------------------------
+// SQL DATABASE
+// ----------------------------------
+// Database connection string (DSN) for read+write operations
+// Format (compatible with PEAR MDB2): db_provider://user:password@host/database
+// Currently supported db_providers: mysql, pgsql, sqlite, mssql or sqlsrv
+// For examples see http://pear.php.net/manual/en/package.database.mdb2.intro-dsn.php
+// NOTE: for SQLite use absolute path: 'sqlite:////full/path/to/sqlite.db?mode=0646'
+$config['db_dsnw'] = 'pgsql://roundcube:roundcube@192.168.12.135/roundcubemail';
+
+// ----------------------------------
+// IMAP
+// ----------------------------------
+// The mail host chosen to perform the log-in.
+// Leave blank to show a textbox at login, give a list of hosts
+// to display a pulldown menu or set one host as string.
+// To use SSL/TLS connection, enter hostname with prefix ssl:// or tls://
+// Supported replacement variables:
+// %n - hostname ($_SERVER['SERVER_NAME'])
+// %t - hostname without the first part
+// %d - domain (http hostname $_SERVER['HTTP_HOST'] without the first part)
+// %s - domain name after the '@' from e-mail address provided at login screen
+// For example %n = mail.domain.tld, %t = domain.tld
+// WARNING: After hostname change update of mail_host column in users table is
+//          required to match old user data records with the new host.
+$config['default_host'] = 'correo-mail.cenditel';
+
+// ----------------------------------
+// SMTP
+// ----------------------------------
+// SMTP server host (for sending mails).
+// To use SSL/TLS connection, enter hostname with prefix ssl:// or tls://
+// If left blank, the PHP mail() function is used
+// Supported replacement variables:
+// %h - user's IMAP hostname
+// %n - hostname ($_SERVER['SERVER_NAME'])
+// %t - hostname without the first part
+// %d - domain (http hostname $_SERVER['HTTP_HOST'] without the first part)
+// %z - IMAP domain (IMAP hostname without the first part)
+// For example %n = mail.domain.tld, %t = domain.tld
+$config['smtp_server'] = 'correo-mail.cenditel';
+
+// provide an URL where a user can get support for this Roundcube installation
+// PLEASE DO NOT LINK TO THE ROUNDCUBE.NET WEBSITE HERE!
+$config['support_url'] = '';
+$config['support_url'] = "http://correosur.cenditel.gob.ve/presenta.php";
+
+// this key is used to encrypt the users imap password which is stored
+// in the session record (and the client cookie if remember password is enabled).
+// please provide a string of exactly 24 chars.
+$config['des_key'] = '7f03c3ae53b717d8dda14027';
+
+// Name your service. This is displayed on the login screen and in the window title
+$config['product_name'] = 'Correo Sur';
+
+// ----------------------------------
+// PLUGINS
+// ----------------------------------
+// List of active plugins (in plugins/ directory)
+//$config['plugins'] = array('rcs_skins','chbox','dropbox_attachments','jqueryui');
+//$config['plugins'] = array('melanie2_larry','rcs_skins','chbox','jqueryui','audio_attachments','firma_adjuntos');
+$config['plugins'] = array('melanie2_larry','rcs_skins','chbox','jqueryui','firma_adjuntos','new_user_identity','new_user_dialog','password','login_info');
+
+// Set the spell checking engine. Possible values:
+// - 'googie'  - the default (also used for connecting to Nox Spell Server, see 'spellcheck_uri' setting)
+// - 'pspell'  - requires the PHP Pspell module and aspell installed
+// - 'enchant' - requires the PHP Enchant module
+// - 'atd'     - install your own After the Deadline server or check with the people at http://www.afterthedeadline.com before using their API
+// Since Google shut down their public spell checking service, the default settings
+// connect to http://spell.roundcube.net which is a hosted service provided by Roundcube.
+// You can connect to any other googie-compliant service by setting 'spellcheck_uri' accordingly.
+$config['spellcheck_engine'] = 'pspell';
+
+$config['custom_login_info_before'] = '<img style="display:block;margin-left:auto;margin-right:auto;" src="plugins/login_info/media/plugin_login_info.png" />';
+$config['custom_login_info_after'] = false;
+
+// used as bottom line below message
+// set to false if not used
+//$rcmail_config['custom_login_bottomline'] = '<a style="color:grey;" href="http://www.your-dmain.world">This service is managed by YOU</a>';
+$config['custom_login_bottomline'] = false;
+
+
+//$config['skin'] = 'litecube-f';
+$config['skin'] = 'melanie2_larry';
+$config['skin_logo'] = '';
+
+$config['list_cols'] = array('subject', 'status', 'fromto', 'date', 'size', 'flag', 'attachment','chbox');
+
+//Set dropbox dropins options here. See https://www.dropbox.com/developers/dropins/chooser/js
+$config['dropbox_appKey']= '0q90uhk7yg431xt';
+$config['dropbox_extensions']= [];
+$config['dropbox_multiselect'] = true;
+
+
+
+// ----------------------------------
+// LOGGING/DEBUGGING
+// ----------------------------------
+
+// default log driver:  'syslog' or 'file'.
+$config['log_driver'] = 'syslog';
+
+// global logging level
+// 100 - debug
+// 200 - info
+// 300 - warning
+// 400 - error
+// 500 - critical
+$config['log_level'] = 100;
+
+// date format for log entries
+// (read http://php.net/manual/en/function.date.php for all format characters)  
+$config['log_date_format'] = 'd-M-Y H:i:s O';
+
+// default syslog ident string to use, if using the 'syslog' log driver.
+$config['syslog_id'] = 'roundcube';
+
+// default syslog facility to use, if using the 'syslog' log driver.
+// For possible values see installer or http://php.net/manual/en/function.openlog.php
+$config['syslog_facility'] = LOG_USER;
+
+// built-in logrotate rules
+$config['log_rotate'] = 'daily';
+
+// Activate this option if logs should be written to per-user directories.
+// Data will only be logged if a directory <log_dir>/<username>/ exists and is writable.
+$config['per_user_logging'] = false;
+
+// Log successful/failed logins to <log_dir>/userlogins or to syslog
+$config['log_logins'] = 300;  // shortcut for $config['log_logins'] = array('level' => 300);
+
+// Log session authentication errors to <log_dir>/session or to syslog
+$config['log_session'] = false;
+
+// Log sent messages to <log_dir>/sendmail or to syslog
+$config['log_smtp'] = array(
+    'level'    => 200,    // info
+    'driver'   => 'file',
+    'filename' => 'smtp.log',
+);
+
+// Log raw IMAP conversation and high level messages
+$config['log_imap'] = array(
+    'level'    => 100,    // debug
+    'driver'   => 'file',
+    'per_user' => true,
+);
+
+// Log LDAP conversation
+$config['ldap_log'] = array(
+//    'level'    => 400,     // defaults to $config['log_level']
+//    'driver'   => 'file',  // defaults to $config['log_driver']
+//    'per_user' => false,   // defaults to $config['per_user_logging']
+//    'filename' => 'ldap',  // defaults to <log_dir>/ldap
+);
+
+// Log statistics about request time, memory usage, etc.
+$config['stats_log'] = array(
+    'level'  => 200,
+    'driver' => 'elasticsearch',
+    'type'   => 'record',
+    'index'  => 'roundcube_stats',
+);
+
+// Development console logging
+$config['console_log'] = array(
+    'level' => 100,
+    'driver' => 'firephp',
+);
+
+// Log sent messages to <log_dir>/sendmail or to syslog
+// DEPRECATED: translates into $config['log_smtp'] = 200
+$config['smtp_log'] = false;
+
+// Log SQL queries to <log_dir>/sql or to syslog
+// DEPRECATED: translates into $config['log_sql'] = 100;
+$config['sql_debug'] = false;
+
+// Log IMAP conversation to <log_dir>/imap or to syslog
+// DEPRECATED: translates into $config['log_imap'] = 100;
+$config['imap_debug'] = false;
+
+// Log LDAP conversation to <log_dir>/ldap or to syslog
+// DEPRECATED: translates into $config['log_ldap'] = 100;
+$config['ldap_debug'] = false;
+
+// Log SMTP conversation to <log_dir>/smtp or to syslog
+// DEPRECATED: translates into $config['smtp_log'] = 100;
+$config['smtp_debug'] = false;
+
+// DEPRECATED: system error reporting, sum of: 1 = log; 4 = show
+$config['debug_level'] = 1;
+
+// DEPRECATED: translates into $config['console_log'] = 100
+$config['devel_mode'] = true;
+
+
+$config['newuser_welcome_user'] = TRUE; // true or false
+
+// message footer
+$config['newuser_message_footer'] = 'Thank You';
